This idea arose because I wanted to create a board with the new microcontrollers, in this case the ATtiny 1614, where the student can test different inputs and outputs on a single board.

![Adrianino_v2](/uploads/79460994843d680aaa7150fe8f8e5aed/Adrianino_v2.jpg)

This is the schematic, at the top you will find the PNG's and the design files in EAGLE.

![adrianino_v3](/uploads/2a8d78e9bd058c40dafb88fbc497da21/adrianino_v3.jpg)

**FEATURES**


*  This board has FTDI and UPDI + VCC connection to program it without the need for external power (or the FTDI).

*  It contains a voltage regulator to power the board with a power supply (9V battery).

*  It has two 9V power connections to for example power a DC motor driver.

*  Then there are 4 outputs or inputs with VCC and GND on each side to be able to connect different inputs or outputs.

*  On the left there is an I2C connection to connect an LCD, OLED or a sensor that uses this communication.

*  There are 3 outputs or inputs at the bottom and with a GND pinout.

*  There is an LED and an integrated button, which will help us to test that the microcontroller works with a simple program.

*  Through the FTDI connection we can read the data from the different sensors through the Serial.



**EXAMPLES WITH INPUTS OR OUTPUTS**

* LCD

![LCD](/uploads/465cead590d84565e8febc3446e91b48/LCD.JPG)

* Servo

![servo](/uploads/2959f812775a7dec0d85e1fcbd5f4f5e/servo.jpg)

* Pyroelectric

![pir](/uploads/c97583779a4f848bed5b33dd04a53ad1/pir.jpg)

* Radar

![radar](/uploads/78ac0be606e5327f7103bff0a3c440b2/radar.jpg)

* Sonar

![ultrasound](/uploads/c9c58d12223c0557192c8414c4004562/ultrasound.JPG)


**VIDEO**

I leave a small video where I test a Blynk, the button, the doppler radar sensor, pyroelectric, ultrasound (with Processing interface), a servo and an LCD through I2C.

![attiny1614](/uploads/c3e98f2e38c14f1cb18caf05d6edc8ad/attiny1614.mp4)

You can find more information about this board on my page.

http://fabacademy.org/2020/labs/leon/students/adrian-torres/adrianino.html

**DATASHEET**

I combine the Datasheet image with the one from the [SpenceKonde website](https://github.com/SpenceKonde/megaTinyCore/blob/master/megaavr/extras/ATtiny_x14.md) on the ATtiny1614.

* 14 pin package.
* Two internal clocks 16 and 20 MHz.
* 16 KB Flash Memory.
* 256 B EEPROM.
* 2 KB SRAM.
* Maximum voltage: 6V; minimum voltage -0.5 V.

After looking at the basic features, you will find the pinning of the microcontroller.

![week08.04](/uploads/42085ccf768761cb72f41c66e4d2e48d/week08.04.jpg)

* VDD: Supply voltage.
* GND: Ground.
* Digital pins: Port A: PA0, PA1, PA2, PA3, PA4, PA5, PA6, PA7. Port B: PB0, PB1, PB2, PB3.
* Analog pins: PA1, PA2, PA3, PA4, PA5, PA6, PA7. Port B: PB0, PB1.
* UPDI Programming pin: PA0 (physical pin number 10).
* External Clock Pin: PA3.

All I/O pins can be configured with **internal pullup resistance**.

Within the communications section there are different types and their pins are different. It is clear that the different communication protocols cannot all be used at the same time, because they have pins in common.

* **USART** - Universal Synchronous and Asynchronous Receiver and Transmitter: It has the RX (PB2 or PA2) and the TX (PB3 or PA1).
* **SPI** - Serial Peripheral Interface: It has only MOSI (PA1), MISO (PA2), SCK (PA3), SS (PA4) .
* **TWI** - Two Wire Interface (I2C): It has SDA (PB1 or PA1) and SCL (PB0 or PA2).


Another important thing that the datasheet is telling us is that you have to keep in mind which kind of input component you are using, digital or analog: for instance, if you are using a temperature sensor (analog component) you have to connect it to an ACD (analog to digital converter) port otherwise the microcontroller isn't able to transform the information that is receiving from the sensor to a digital data.

