This idea arose because I wanted to create a board with the new microcontrollers, in this case the SAMD11C14, where the student can test different inputs and outputs on a single board.

![s_00](/uploads/b5fc459b2e0db2484bc360000576fc89/s_00.jpg)

![s_05](/uploads/d2621550a8f8c800527016c5edba0664/s_05.jpg)

To work with this type of microcontrollers we need a programmer with **JTAG.**


**FEATURES**
- Via **USB** you can directly program and read data from a sensor.
- It contains a voltage regulator to power the board with a **power supply** (9V battery).
- It has another 9V power connection to for example power a DC motor driver.
- Then there are 4 outputs or inputs with VCC and GND on each side to be able to connect different inputs or outputs.
- On the left there is an **I2C** connection to connect an LCD, OLED or a sensor that uses this communication. **Working in progress.** Still not working.
- There is an **LED** and an integrated **button**, which will help us to test that the microcontroller works with a simple program.
- Possibility of connection with the [Adrianino](http://fabacademy.org/2020/labs/leon/students/adrian-torres/adrianino.html)input and output modules.


**EXAMPLES WITH INPUTS OR OUTPUTS**

* Motor

![a0ebce97fd06e349-photo](/uploads/58b9d9317dc613c7d0f53d380587848b/a0ebce97fd06e349-photo.JPG)

* Pyroelectric

![IMG_1759](/uploads/c4455a1875cf2d35c29154eb11926199/IMG_1759.jpg)

* Radar

![b8d1f14d87c967e8-photo](/uploads/08808bdcec5e33e8960afd99333df69e/b8d1f14d87c967e8-photo.JPG)

* Sonar

![IMG_1254__1_](/uploads/dc0af04786e94cba2cff95df5f5bcf95/IMG_1254__1_.jpeg)

* Phototransistor

![IMG_1249](/uploads/cc11787b49565b5ab3ff0b30cc72a2e3/IMG_1249.jpg)

**VIDEO**
I leave a small video where I test the radar.

![radar1](/uploads/77b8884c4afb36efc20c78fd2e589fe2/radar1.mp4)

**DATASHEET**

A new generation of Atmel microcontrollers with SAMDs. A low-power, high-performance ARM® Cortex®-M0 + based flash microcontroller and with a full-speed USB device.

* 14 pin package.
* Internal and external clock options with 48MHDigital Frequency Locked Loop (DFLL48M) and 48MHto 96MHFractional.
* 16 KB Flash Memory.
* 256 B EEPROM.
* 4 KB SRAM.
* Maximum voltage: 3.63 V; minimum voltage: 1.62 V.

After looking at the basic features, you will find the pinning of the microcontroller. More information in this [link.](https://github.com/mattairtech/ArduinoCore-samd/tree/master/variants/Generic_D11C14A)

![SAMD11](/uploads/3b1082bbcbf4494912f4b1241c85d63f/SAMD11.jpg)

* VDD: Supply voltage.
* GND: Ground.
* Digital pins: PA02, PA04, PA05, PA08, PA09, PA14, PA15, PA31.
* Analog pins: PA02, PA04, PA05, PA14, PA15.
* USB pins: PA24, PA25.

All I/O pins can be configured with **internal pullup resistance**.

Within the communications section there are different types and their pins are different. It is clear that the different communication protocols cannot all be used at the same time, because they have pins in common.

* USART - Universal Synchronous and Asynchronous Receiver and Transmitter: It has the RX (PA31 or PA05) and the TX (PA30 or PA04).
* SPI - Serial Peripheral Interface: It has only MOSI (PA04 or PA08), MISO (PA14 or PA30), SCK (PA09), SS (PA15) .
* TWI - Two Wire Interface (I2C): It has SDA (PA14) and SCL (PA15).

Another important thing that the datasheet is telling us is that you have to keep in mind which kind of input component you are using, digital or analog: for instance, if you are using a temperature sensor (analog component) you have to connect it to an ACD (analog to digital converter) port otherwise the microcontroller isn't able to transform the information that is receiving from the sensor to a digital data.

## For more infomartion

[SAMDino](http://fabacademy.org/2020/labs/leon/students/adrian-torres/samdino.html)

